readBGENToListByRange {seqminer} | R Documentation

## Read information from BGEN file in a given range and return a list

### Description

Read information from BGEN file in a given range and return a list

### Usage

    readBGENToListByRange(fileName, range)

### Arguments

`fileName` | character, represents an input BGEN file (Bgzipped, with Tabix index)
`range` | character, a text indicating which range in the BGEN file to extract. e.g. 1:100-200

### Value

a list of genes, and each elements has specified vcfColumn, vcfinfo, vcfIndv

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    fileName = system.file("bgen/all.anno.filtered.extract.bgen", package = "seqminer")
    cfh <- readBGENToListByRange(fileName, "1:196621007-196716634")

[Package seqminer version 7.1 Index]